P: program error opening document with some layer styles

5 Votes
LEGEND ,
Dec 11, 2012 Dec 11, 2012

Copy link to clipboard

Copied

After installing the PS 13.0.2 update I get the error "Could not complete your request because of a program error." when opening certain files that contain a lot of layers (over 100).

I'm on OSX 10.8.2 and have PS installed via the Creative Cloud subscription. I tried the repairing permissions that people have suggested for similar problems in the past without success.

For the moment I've had to revert to a backup of 13.0.1 in order to finish my project.
Is anyone else having similar issues?

Bug Fixed
TOPICS
macOS

Views

17

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Employee , Dec 20, 2012 Dec 20, 2012
We have released an update which addresses this and more -- please choose Help > Updates to begin the update process. http://blogs.adobe.com/photoshopdotco...

Votes

Translate

Translate
10 Comments
LEGEND ,
Dec 11, 2012 Dec 11, 2012

Copy link to clipboard

Copied

We know about this issue and are working on it right now.
Somehow the exact layer styles needed to trigger it didn't show up in our testing (and we'll work on that as well, once we fix the bug).

Update - Dec 12 - we are making progress on this issue and testing fixes for it.

Update - Dec 15 - looks like the fixes are good. Now we're trying to get this fix out soon.

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 12, 2012 Dec 12, 2012

Copy link to clipboard

Copied

Good to know it's been working on. It's a nasty one that could hit a lot of people...
I can provide an example PSD that was causing the problem for me if you require.

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 12, 2012 Dec 12, 2012

Copy link to clipboard

Copied

I am a creative cloud member and yesterday I went and updated Photoshop. Now I am having issues opening most of my PSD's. I get the error "Could not complete your request because of a program error", when I try to open most of my files. How can I downgrade to the previous version of photoshop? The version I have now is v13.1 x 64.

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 14, 2012 Dec 14, 2012

Copy link to clipboard

Copied

This is ridiculous. How could Adobe release something like that? I would have thought after working on Photoshop for over 20years Adobe know how to test a new release.

And if they know about the problem they should have released a warning. That's the minimum I would expect...

This problem cost me a sleepless night because I had to recreate an artwork for a client.

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Dec 14, 2012 Dec 14, 2012

Copy link to clipboard

Copied

We did not know about this prior to the release. It was discovered after release, and as Chris mentions above, the team is working on a fix.

Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 14, 2012 Dec 14, 2012

Copy link to clipboard

Copied

I am sure Adobe is not full of retards, of course you don't release something knowing there is a bug in it. All I am saying you should have made users aware of this issue once you have discovered it.

I am sure you are working hard to fix this problem but in the meantime users get really frustrated loosing work by not being able to reopen psd's

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 14, 2012 Dec 14, 2012

Copy link to clipboard

Copied

At the very least, they need to remove the update from their site so people don't keep downloading it.

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 14, 2012 Dec 14, 2012

Copy link to clipboard

Copied

At the very least, Adobe should remove this update from their site immediately so no further damage occurs. It's stopped me dead in my tracks, deadlines notwithstanding.

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 15, 2012 Dec 15, 2012

Copy link to clipboard

Copied

Hi,

I have retrieved my 13.0.1 version through Time Machine, I had the program error too. However Bridge is launching 13.0.2 (which I've renamed and moved), how can I link Bridge back to 13.0.1?

Thanks

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Dec 20, 2012 Dec 20, 2012

Copy link to clipboard

Copied

LATEST
We have released an update which addresses this and more -- please choose Help > Updates to begin the update process.

http://blogs.adobe.com/photoshopdotco...

Votes

Translate

Translate

Report

Report